Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class MarkupContext

    java.lang.Object
      org.jboss.portal.wsrp.core.MarkupContext

All Implemented Interfaces:
  java.io.Serializable

    public class MarkupContext

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected CacheControl` | `cacheControl`
`protected Extension[]` | `extensions`
`protected java.lang.String` | `locale`
`protected byte[]` | `markupBinary`
`protected java.lang.String` | `markupString`
`protected java.lang.String` | `mimeType`
`protected java.lang.String` | `preferredTitle`
`protected java.lang.Boolean` | `requiresUrlRewriting`
`protected java.lang.Boolean` | `useCachedMarkup`

Constructor Summary
`MarkupContext()`
`MarkupContext(java.lang.Boolean useCachedMarkup, java.lang.String mimeType, java.lang.String markupString, byte[] markupBinary, java.lang.String locale, java.lang.Boolean requiresUrlRewriting, CacheControl cacheControl, java.lang.String preferredTitle, Extension[] extensions)`

Method Summary
`CacheControl` | `getCacheControl()`
`Extension[]` | `getExtensions()`
`java.lang.String` | `getLocale()`
`byte[]` | `getMarkupBinary()`
`java.lang.String` | `getMarkupString()`
`java.lang.String` | `getMimeType()`
`java.lang.String` | `getPreferredTitle()`
`java.lang.Boolean` | `getRequiresUrlRewriting()`
`java.lang.Boolean` | `getUseCachedMarkup()`
`void` | `setCacheControl(CacheControl cacheControl)`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setLocale(java.lang.String locale)`
`void` | `setMarkupBinary(byte[] markupBinary)`
`void` | `setMarkupString(java.lang.String markupString)`
`void` | `setMimeType(java.lang.String mimeType)`
`void` | `setPreferredTitle(java.lang.String preferredTitle)`
`void` | `setRequiresUrlRewriting(java.lang.Boolean requiresUrlRewriting)`
`void` | `setUseCachedMarkup(java.lang.Boolean useCachedMarkup)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### useCachedMarkup

    protected java.lang.Boolean useCachedMarkup

### mimeType

    protected java.lang.String mimeType

### markupString

    protected java.lang.String markupString

### markupBinary

    protected byte[] markupBinary

### locale

    protected java.lang.String locale

### requiresUrlRewriting

    protected java.lang.Boolean requiresUrlRewriting

### cacheControl

    protected CacheControl cacheControl

### preferredTitle

    protected java.lang.String preferredTitle

### extensions

    protected Extension[] extensions

Constructor Detail

### MarkupContext

    public MarkupContext()

### MarkupContext

    public MarkupContext(java.lang.Boolean useCachedMarkup,
                         java.lang.String mimeType,
                         java.lang.String markupString,
                         byte[] markupBinary,
                         java.lang.String locale,
                         java.lang.Boolean requiresUrlRewriting,
                         CacheControl cacheControl,
                         java.lang.String preferredTitle,
                         Extension[] extensions)

Method Detail

### getUseCachedMarkup

    public java.lang.Boolean getUseCachedMarkup()

### setUseCachedMarkup

    public void setUseCachedMarkup(java.lang.Boolean useCachedMarkup)

### getMimeType

    public java.lang.String getMimeType()

### setMimeType

    public void setMimeType(java.lang.String mimeType)

### getMarkupString

    public java.lang.String getMarkupString()

### setMarkupString

    public void setMarkupString(java.lang.String markupString)

### getMarkupBinary

    public byte[] getMarkupBinary()

### setMarkupBinary

    public void setMarkupBinary(byte[] markupBinary)

### getLocale

    public java.lang.String getLocale()

### setLocale

    public void setLocale(java.lang.String locale)

### getRequiresUrlRewriting

    public java.lang.Boolean getRequiresUrlRewriting()

### setRequiresUrlRewriting

    public void setRequiresUrlRewriting(java.lang.Boolean requiresUrlRewriting)

### getCacheControl

    public CacheControl getCacheControl()

### setCacheControl

    public void setCacheControl(CacheControl cacheControl)

### getPreferredTitle

    public java.lang.String getPreferredTitle()

### setPreferredTitle

    public void setPreferredTitle(java.lang.String preferredTitle)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD